local LibStub = LibStub
local AceAddon = LibStub("AceAddon-3.0")
local AceLocale = LibStub("AceLocale-3.0")
local AceDBOptions = LibStub("AceDBOptions-3.0")
local AceConfig = LibStub("AceConfig-3.0")
local AceConfigDialog = LibStub("AceConfigDialog-3.0")
local ControlPanel = AceAddon:GetAddon("ControlPanel")
local ControlPanel_Options = AceAddon:GetAddon("ControlPanel_Options")
local L = AceLocale:GetLocale("ControlPanel_Options")

local Script =
{
	name = L["Script"],
	type = "group",
	args =
	{
		scriptErrors =
		{
			name = L["Display Lua Error"],
			type = "toggle",
			set = function(info,val)
				ControlPanel:SetCVar("scriptErrors",val)
			end,
			get = function(info)
				return ControlPanel:GetCVarBool("scriptErrors")
			end,
		},
		scriptProfile =
		{
			name = L["Script Profile"],
			desc = L["CPU profiling is disabled by default since it has some overhead. CPU profiling is controlled by this option."],
			type = "toggle",
			set = function(info,val)
				ControlPanel:SetCVar("scriptProfile",val)
			end,
			get = function(info)
				return ControlPanel:GetCVarBool("scriptProfile")
			end,
		},
	}
}

ControlPanel_Options:push("Script",Script)